Retrieve functions for a given definition
curl --request GET \
--url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Functions
Retrieve functions for a given definition
Retrieve all functions included in a definition.
GET
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
functions
Retrieve functions for a given definition
Supported products
Supported products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier for the app.
The unique identifier for the action definition.
Response
successful operation
Show child attributes
Show child attributes
Last modified on March 30, 2026
Was this page helpful?
⌘I